Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class EjbqlBuilder

    java.lang.Object
      org.apache.cayenne.map.EjbqlBuilder

    public class EjbqlBuilder

extends java.lang.Object

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` | `adapterSql`
`protected DataMap` | `dataMap`
`protected java.lang.String` | `ejbql`
`protected java.lang.String` | `name`
`protected java.util.List<Ordering>` | `orderings`
`protected java.util.List<java.lang.String>` | `prefetches`
`protected java.util.Map<java.lang.String,java.lang.String>` | `properties`
`protected Expression` | `qualifier`
`protected java.lang.String` | `resultEntity`
`protected java.lang.String` | `rootName`
`protected java.lang.String` | `rootType`
`protected java.lang.String` | `sql`

Constructor Summary
`EjbqlBuilder()`

Method Summary
`protected java.lang.Object` | `getRoot()` Determines query root based on configuration info, falls back to a DataMap root if the data is invalid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### properties

    protected java.util.Map<java.lang.String,java.lang.String> properties

### sql

    protected java.lang.String sql

### ejbql

    protected java.lang.String ejbql

### adapterSql

    protected java.util.Map<java.lang.String,java.lang.String> adapterSql

### qualifier

    protected Expression qualifier

### orderings

    protected java.util.List<Ordering> orderings

### prefetches

    protected java.util.List<java.lang.String> prefetches

### dataMap

    protected DataMap dataMap

### rootType

    protected java.lang.String rootType

### rootName

    protected java.lang.String rootName

### resultEntity

    protected java.lang.String resultEntity

Constructor Detail

### EjbqlBuilder

    public EjbqlBuilder()

Method Detail

### getRoot

    protected java.lang.Object getRoot()

  Determines query root based on configuration info, falls back to a DataMap root if the data is invalid.

  Throws:
    `CayenneRuntimeException` - if a valid root can't be established.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.